
<div class="form-row border-bottom-secondary mb-2">
  <div class="form-group col-12">
    <h5 class="card-title mb-0 text-gray-800"><span class="fas fa-info mr-2"></span><span>Datos de envío</span></h5>
  </div>
</div>
<div class="form-row">
  <div class="form-group col-12 col-lg-5">
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">País</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-globe-americas"></i></span></div>
          <select class="ControlInput--Select" (change)="Seleccionar_Pais_Envio()" [(ngModel)]="tPaisenvioActual" size-select="sm">
            <option *ngFor="let tPais of tPaises" [ngValue]="tPais">[ {{tPais.Codpais}} ] {{tPais.Descripcion}}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalPais()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Estado</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-flag"></i></span></div>
          <select class="ControlInput--Select" (change)="Seleccionar_Estado_Envio()" [(ngModel)]="tEstadoenvioActual" size-select="sm">
            <option *ngFor="let tEstado of tPaisenvioActual.LEstados" [ngValue]="tEstado">[ {{tEstado.Codestado}} ] {{tEstado.Descripcion}}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalEstado()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Municipio</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-map-marked-alt"></i></span></div>
          <select class="ControlInput--Select" (change)="Seleccionar_Municipio_Envio()" [(ngModel)]="tMunicipioenvioActual" size-select="sm">
            <option *ngFor="let tMunicipio of tEstadoenvioActual.LMunicipio" [ngValue]="tMunicipio">[ {{tMunicipio.Codmunicipio}} ] {{tMunicipio.Descripcion}}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalMunicipio()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <label class="form-label h6">Ciudad</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-archway"></i></span></div>
          <select class="ControlInput--Select" [(ngModel)]="tCiudadenvioActual" (change)="Seleccionar_Ciudad_Envio()" size-select="sm">
            <option *ngFor="let tCiudad of tMunicipioenvioActual.LCiudad" [ngValue]="tCiudad">[ {{tCiudad.Codciudad}} ] {{tCiudad.Descripcion}}</option>
          </select>
          <div class="ControlInput--ContenedorBoton">
            <button class="ControlInput--ContenedorBoton-Boton" type="button" (click)="AbrirModalCiudad()"><i class="fas fa-search"></i></button>
          </div>
        </div>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12">
        <textarea class="form-control" placeholder="Dirección" [(ngModel)]="tCliente.Direccion_envio" rows="3" name="Direccion" aria-label="Direccion" aria-describedby="Direccion" required=""></textarea>
      </div>
    </div>
  </div>
  <div class="form-group col-12 col-lg-7">
    <div class="form-row">
      <div class="form-group col-12">
        <app-fw-mapa></app-fw-mapa>
      </div>
    </div>
    <div class="form-row">
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Latitud</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-globe"></i></span></div>
          <input class="ControlInput--Input align-middle" type="number" SoloNumeros="coordinate" placeholder="Latitud" size="sm" [(ngModel)]="tCliente.Latitud_envio"/>
        </div>
      </div>
      <div class="form-group col-12 col-lg-6">
        <label class="form-label h6">Longitud</label>
        <div class="ControlInput">
          <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-map-marker-alt"></i></span></div>
          <input class="ControlInput--Input align-middle" type="number" SoloNumeros="coordinate" placeholder="Longitud" size="sm" [(ngModel)]="tCliente.Longitud_envio"/>
        </div>
      </div>
    </div>
  </div>
</div>